% This script takes uncorrected times from "leapSecDates.dat" and
% applies leap second corrections. The output is written into a file:
% "leapSecGPStimesCorr.dat".

% $Id: genTableCorr.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

x = load('leapSecGPStimes.dat');

N = size(x,1);

for n = 1:1:N
  y(n) = x(n) + n;
end


fid = fopen('leapSecGPStimesCorr.dat', 'w');
fprintf(fid, '%u \n', y);
fclose(fid);

return
